
/**
 * 压缩图片
 * @param {*} url 
 * @returns 
 */
 export function compressImage(url, typ) {
  if (!url) return url;

  // GIF 不压缩
  if (url.indexOf('.gif') > -1) return url;

  const style = typ || 'cmp80'

  // eslint-disable-next-line no-undef
  const ossLike = 'aliyuncs.com'
  if (url.indexOf(ossLike) > -1) {
    return `${url}?x-oss-process=style/${style}` //.replace('http://', 'https://')
  }

  return url;
}
